# Unicorn Documentation

# Unicorn - Coriolis GUI

Public Member Functions | Static Public Member Functions | List of all members
Unicorn::UnicornGui Class Reference

The Full Fledged GUI of Coriolis. More...

Inherits Hurricane::CellViewer.

## Public Member Functions

void | destroy ()
virtual Cell * | getCellFromDb (const char *name)
void | registerTool (GraphicTool *)

## Static Public Member Functions

static UnicornGui * | create (QWidget *parent=NULL)
static Banner & | getBanner ()

## Detailed Description

The Full Fledged GUI of Coriolis.

UnicornGui is a derived class of Hurricane::CellViewer, it adds support for CRL::ToolEngine and their graphical extentions, as well as CRL::AllianceFramework interaction.

## Member Function Documentation

## ◆ create()

UnicornGui * Unicorn::UnicornGui::create | ( | QWidget * | parent = `NULL` | ) |

static

Construct a new UnicornGui.

## ◆ destroy()

void Unicorn::UnicornGui::destroy | ( |  | ) |

UnicornGui destructor.

## ◆ getBanner()

CRL::Banner & Unicorn::UnicornGui::getBanner | ( |  | ) |

inlinestatic

Returns: The GUI banner, for customization.

## ◆ getCellFromDb()

Hurricane::Cell * Unicorn::UnicornGui::getCellFromDb | ( | const char * | name | ) |

virtual

The Hurricane::Cell loader. Allows to load Cell through the CRL::AllianceFramework or various VLSI/CAD benchmarks.

Reimplemented from Hurricane::CellViewer.

## ◆ registerTool()

void Unicorn::UnicornGui::registerTool | ( | GraphicTool * | tool | ) |

Adds to the GUI a new tool. Run the configuration hooks of the `tool` to customize the menus of the GUI.

The documentation for this class was generated from the following files:

- UnicornGui.h
- UnicornGui.dox